Bug 17639 - Remove white filling inside of Koha logo
Summary: Remove white filling inside of Koha logo
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-16 09:16 UTC by Radek Šiman (R-Bit Technology, s.r.o.)
Modified: 2017-07-31 12:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17639 - Remove white filling inside of Koha logo (39.10 KB, patch)
2016-11-16 13:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17639 - Remove white filling inside of Koha logo (33.62 KB, patch)
2017-06-06 15:53 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17639 - Remove white filling inside of Koha logo (33.70 KB, patch)
2017-07-13 21:34 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Radek Šiman (R-Bit Technology, s.r.o.) 2016-11-16 09:16:54 UTC
Please remove white fill color inside the letters "o" and "a" of .svg file. When removing it myself in Gimp, a white residuum at borders always remains in the image. Then the image cannot be used at a colored background.

The SVG file can be found at github as well as at Koha wiki:

http://git.koha-community.org/gitweb/?p=koha.git;a=tree;f=misc/interface_customization;h=54e05019f1030817cf90d2831acda3f5e1708199;hb=HEAD

https://wiki.koha-community.org/wiki/The_Koha_Logo_:_Origins_and_Explanation
Comment 1 Radek Šiman (R-Bit Technology, s.r.o.) 2016-11-16 09:18:15 UTC
Current image looks like this after importing to an image editor:
http://prntscr.com/d7wp85
Comment 2 Owen Leonard 2016-11-16 13:19:20 UTC
Created attachment 57542 [details] [review]
Bug 17639 - Remove white filling inside of Koha logo

This patch modifies the Koha logo SVG file to remove the fill from two
letters.

To test you could:

- Open the file in an editor and confirm that the change is correct
  - or -
- Open the file in a browser and use the code inspector to add a
  background-color attribute to the top-level <svg> tag. The logo should
  appear transparent, with no white fills.
Comment 3 Radek Šiman (R-Bit Technology, s.r.o.) 2016-11-16 18:12:19 UTC
Thanks for the immediate solution. The filling has gone, but if I import it into GIMP and set its width to 50 cm, the results looks awkward now
http://prntscr.com/d83loj
The larger the image, the worse the result. The previous version was OK regardless the resizing. I would also recommend to crop the SVG image, it has very large empty space around it.
Comment 4 Owen Leonard 2017-06-06 15:53:01 UTC
Created attachment 64062 [details] [review]
Bug 17639 - Remove white filling inside of Koha logo

This patch modifies the Koha logo SVG file to remove the fill from two
letters. This patch also optimizes the file and converts the text object
to paths for better cross-platform portability.

To test you could:

- Open the file in an editor and confirm that the change is correct
  - or -
- Open the file in a browser and use the code inspector to add a
  background-color attribute to the top-level <svg> tag. The logo should
  appear transparent, with no white fills.
Comment 5 Jonathan Druart 2017-07-13 21:34:34 UTC
Created attachment 65035 [details] [review]
Bug 17639 - Remove white filling inside of Koha logo

This patch modifies the Koha logo SVG file to remove the fill from two
letters. This patch also optimizes the file and converts the text object
to paths for better cross-platform portability.

To test you could:

- Open the file in an editor and confirm that the change is correct
  - or -
- Open the file in a browser and use the code inspector to add a
  background-color attribute to the top-level <svg> tag. The logo should
  appear transparent, with no white fills.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2017-07-13 21:34:52 UTC
Trivial, skipping QA.
Comment 7 Jonathan Druart 2017-07-13 21:41:32 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 8 Fridolin SOMERS 2017-07-18 13:27:42 UTC
Pushed to 17.05.x, will be in 17.05.02
Comment 9 Katrin Fischer 2017-07-19 21:17:26 UTC
This patch has been pushed to 16.11.x and will be in 16.11.10.
Comment 10 Mason James 2017-07-31 12:15:21 UTC
Pushed to 16.05.x, for 16.05.15 release